<?php
/* Autoloader for php-mock2 and its dependencies */
require_once '/usr/share/php/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('phpmock\\', __DIR__);
\Fedora\Autoloader\Autoload::addPsr4('phpmock\\', dirname(dirname(__DIR__)) . '/tests/phpmock2');
if (PHP_VERSION_ID >= 80200) {
	$deps = [
        '/usr/share/php/SebastianBergmann/Template4/autoload.php',
        '/usr/share/php/SebastianBergmann/Template3/autoload.php',
        '/usr/share/php/SebastianBergmann/Template2/autoload.php',
        '/usr/share/php/Text/Template/Autoload.php',
    ];
} else {
	$deps = [
        '/usr/share/php/SebastianBergmann/Template3/autoload.php',
        '/usr/share/php/SebastianBergmann/Template2/autoload.php',
        '/usr/share/php/Text/Template/Autoload.php',
    ];
}
\Fedora\Autoloader\Dependencies::required([
	$deps,
]);

// Compatibility with phpunit/php-text-template v2

if (!class_exists(SebastianBergmann\Template\Template::class)
    && class_exists(Text_Template::class)
) {
    class_alias(Text_Template::class, SebastianBergmann\Template\Template::class);
}

use PHPUnit\Runner\Version;

// Compatibility with PHPUnit 8.0
// We need to use "magic" trait \phpmock\TestCaseTrait
// and instead of setUp/tearDown method in test case
// we should have setUpCompat/tearDownCompat.
if (
    class_exists(Version::class)
    && version_compare(Version::id(), '8.0.0') >= 0
) {
    class_alias(\phpmock\TestCaseTypeHintTrait::class, \phpmock\TestCaseTrait::class);
} else {
    class_alias(\phpmock\TestCaseNoTypeHintTrait::class, \phpmock\TestCaseTrait::class);
}
